@echo off

rem This Setup Program will prompt the user for
rem a language with which to fire up the DOS setup.

echo.
echo.
echo.

echo    ********************************************************************
echo    *                                                                  *
echo    *                  CHIPS AND TECHNOLOGIES                          *
echo    *                        SETUP MENU                                *
echo    *                                                                  *
echo    *                        a. English                                *
echo    *                        b. Japanese                               *
echo    *                        c. French                                 *
echo    *                        d. Spanish                                *
echo    *                        e. Dutch                                  *
echo    *                        f. Finnish                                *
echo    *                        g. Portugese                              *
echo    *                        h. German                                 *
echo    *                        i. Swedish                                *
echo    *                        j. Danish                                 *
echo    *                        k. Norwegian                              *
echo    *                        l. Italian                                *
echo    *                                                                  *
echo    *                        z. EXIT to DOS                            *
echo    ********************************************************************
echo  [A,B,C,D,E,F,G,H,I,J,K,L,Z] Enter ?
choice
if errorlevel 13 goto zend
if errorlevel 12 goto Italian
if errorlevel 11 goto Norwegian
if errorlevel 10 goto Danish
if errorlevel 9 goto Swedish
if errorlevel 8 goto German
if errorlevel 7 goto Portugese
if errorlevel 6 goto Finnish
if errorlevel 5 goto Dutch
if errorlevel 4 goto Spanish
if errorlevel 3 goto French
if errorlevel 2 goto Japanese
if errorlevel 1 goto English
end

rem =================================================
rem Launch English Dos Setup.exe
rem =================================================

:English

md c:\x25hd3bs

expand setupenu.ex$ c:\x25hd3bs\setupenu.exe

call c:\x25hd3bs\setupenu.exe

goto end

rem =================================================
rem Launch Japanese DOS Setup.exe
rem =================================================

:Japanese

md c:\x25hd3bs

expand setupjpn.ex$ c:\x25hd3bs\setupjpn.exe

call c:\x25hd3bs\setupjpn.exe

goto end

rem =================================================
rem Launch French DOS Setup.exe
rem =================================================

:French

md c:\x25hd3bs

expand setupfra.ex$ c:\x25hd3bs\setupfra.exe

call c:\x25hd3bs\setupfra.exe

goto end

rem =================================================
rem Launch Spanish DOS Setup.exe
rem =================================================

:Spanish

md c:\x25hd3bs

expand setupesn.ex$ c:\x25hd3bs\setupesn.exe

call c:\x25hd3bs\setupesn.exe

goto end

rem =================================================
rem Launch Dutch DOS Setup.exe
rem =================================================

:Dutch

md c:\x25hd3bs

expand setupnld.ex$ c:\x25hd3bs\setupnld.exe

call c:\x25hd3bs\setupnld.exe

goto end

rem =================================================
rem Launch Finnish Dos Setup.exe
rem =================================================

:Finnish

md c:\x25hd3bs

expand setupfin.ex$ c:\x25hd3bs\setupfin.exe

call c:\x25hd3bs\setupfin.exe

goto end

rem =================================================
rem Launch Portugese Dos Setup.exe
rem =================================================

:Portugese

md c:\x25hd3bs

expand setupptg.ex$ c:\x25hd3bs\setupptg.exe

call c:\x25hd3bs\setupptg.exe

goto end


rem =================================================
rem Launch German Dos Setup.exe
rem =================================================

:German

md c:\x25hd3bs

expand setupdeu.ex$ c:\x25hd3bs\setupdeu.exe

call c:\x25hd3bs\setupdeu.exe

goto end

rem =================================================
rem Launch Swedish Dos Setup.exe
rem =================================================

:Swedish

md c:\x25hd3bs

expand setupsve.ex$ c:\x25hd3bs\setupsve.exe

call c:\x25hd3bs\setupsve.exe

goto end

rem =================================================
rem Launch danish Dos Setup.exe
rem =================================================

:Danish

md c:\x25hd3bs

expand setupdan.ex$ c:\x25hd3bs\setupdan.exe

call c:\x25hd3bs\setupdan.exe

goto end

rem =================================================
rem Launch Norwegian Dos Setup.exe
rem =================================================

:Norwegian

md c:\x25hd3bs

expand setupnor.ex$ c:\x25hd3bs\setupnor.exe

call c:\x25hd3bs\setupnor.exe

goto end

rem =================================================
rem Launch Italian DOS Setup.exe
rem =================================================

:Italian

md c:\x25hd3bs

expand setupita.ex$ c:\x25hd3bs\setupita.exe

call c:\x25hd3bs\setupita.exe

goto end


rem =================================================
rem End of Program
rem =================================================

:end

del c:\x25hd3bs\*.exe
rd c:\x25hd3bs

:zend